Get compressed file with archived mailing contents
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content
Path Parameters
- clientIdstringrequiredDescription
Query Parameters
- fromstringDescription
- bmMailIdsstring[]Description
- optinStatusstringDescriptionAllowednon_confirmedconfirmed
- mailingIdinteger<int64>DescriptionFormatint64
- recipientIdstringDescription
- mailingTypesstringDescription
- recipientAddressstringDescription
- untilstringDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/octet-streamAllowedapplication/octet-streamapplication/vnd.optivo.broadmail.v1+json
- next-cursorstringDescription
Responses
200
Response Headers
- next-cursorintegerDescription
204
400
curl
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content \
--header 'accept: application/octet-stream'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/octet-stream");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/octet-stream"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content"
payload = {}
headers = {
'accept': 'application/octet-stream',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The compressed file with archived mailing contents was retrieved successfully.
204
// Archived mailings could not be found.
400
// Invalid request or 'next-cursor' is expired.